Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2918)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2920)
@@ -6945,15 +7188,4 @@
            IF ( surf_usm_h%r_a_window(m) < 1.0_wp )                            &
                surf_usm_h%r_a_window(m) = 1.0_wp
-
-                
-!--        the parameterization is developed originally for larger scales
-!--        (compare with remark in TUF-3D)
-!--        our first experiences show that the parameterization underestimates
-!--        r_a in meter resolution.
-!--        A temporary solution would be multiplication by magic constant :-(.
-!--        For the moment this is comment out.
-           surf_usm_h%r_a(m)        = surf_usm_h%r_a(m)        !* ra_horiz_coef
-           surf_usm_h%r_a_window(m) = surf_usm_h%r_a_window(m) !* ra_horiz_coef
-           surf_usm_h%r_a_green(m)  = surf_usm_h%r_a_green(m)  !* ra_horiz_coef
                 
 !--        factor for shf_eb
@@ -7070,19 +7302,15 @@
 !--        calculate fluxes
 !--        rad_net_l is never used!           
-           surf_usm_h%rad_net_l(m) = surf_usm_h%frac(0,m) *                         &
-                                     ( surf_usm_h%rad_net_l(m) +                    &
-                                     3.0_wp * sigma_sb *                            &
-                                     t_surf_h(m)**4 - 4.0_wp * sigma_sb *           &
-                                     t_surf_h(m)**3 * t_surf_h_p(m) )               &
-                                   + surf_usm_h%frac(2,m) *                         &
-                                     ( surf_usm_h%rad_net_l(m) +                    &
-                                     3.0_wp * sigma_sb *                            &
-                                     t_surf_window_h(m)**4 - 4.0_wp * sigma_sb *    &
-                                     t_surf_window_h(m)**3 * t_surf_window_h_p(m) ) &
-                                   + surf_usm_h%frac(1,m) *                         &
-                                     ( surf_usm_h%rad_net_l(m) +                    &
-                                     3.0_wp * sigma_sb *                            &
-                                     t_surf_green_h(m)**4 - 4.0_wp * sigma_sb *     &
-                                     t_surf_green_h(m)**3 * t_surf_green_h_p(m) )
+           surf_usm_h%rad_net_l(m) = surf_usm_h%rad_net_l(m) +                           &
+                                     surf_usm_h%frac(0,m) *                              &
+                                     sigma_sb * surf_usm_h%emissivity(0,m) *             &
+                                     ( t_surf_h_p(m)**4 - t_surf_h(m)**4 )               &
+                                    + surf_usm_h%frac(2,m) *                         &
+                                     sigma_sb * surf_usm_h%emissivity(2,m) *             &
+                                     ( t_surf_window_h_p(m)**4 - t_surf_window_h(m)**4 ) &
+                                    + surf_usm_h%frac(1,m) *                         &
+                                     sigma_sb * surf_usm_h%emissivity(1,m) *             &
+                                     ( t_surf_green_h_p(m)**4 - t_surf_green_h(m)**4 )
+
            surf_usm_h%wghf_eb(m)   = lambda_surface *                         &
                                       ( t_surf_h_p(m) - t_wall_h(nzb_wall,m) )
@@ -7269,5 +7497,5 @@
 
 !--           calculate fluxes
-!--           rad_net_l is never used!           
+!--           prognostic rad_net_l is used just for output!           
               surf_usm_v(l)%rad_net_l(m) = surf_usm_v(l)%frac(0,m) *                             &
                                            ( surf_usm_v(l)%rad_net_l(m) +                            &
@@ -7322,22 +7550,19 @@
            dtime = mod(simulated_time + time_utc_init, 24.0_wp*3600.0_wp)
            dhour = INT(dtime/3600.0_wp)
-!--        linear interpolation of coeficient
-           acoef = (REAL(dhour+1,wp)-dtime/3600.0_wp)*aheatprof(dhour) + (dtime/3600.0_wp-REAL(dhour,wp))*aheatprof(dhour+1)
-
-           DO m = 1, surf_usm_h%ns
-!
+           DO m = 1, naheatlayers
 !--           Get indices of respective grid point
               i = surf_usm_h%i(m)
               j = surf_usm_h%j(m)
               k = surf_usm_h%k(m)
-
-              IF ( aheat(j,i) > 0.0_wp )  THEN
-!--              TODO the increase of pt in box i,j,nzb_s_inner(j,i)+1 in time dt_3d 
+              IF ( k > get_topography_top_index_ji( j, i, 's' )  .AND. &
+                   k <= naheatlayers )  THEN
+!--              increase of pt in box i,j,k in time dt_3d 
 !--              given to anthropogenic heat aheat*acoef (W*m-2)
-!--              k = nzb_s_inner(j,i)+1
-!--              pt(k,j,i) = pt(k,j,i) + aheat(j,i)*acoef*dt_3d/(exn(k)*rho_cp*dz)
-!--              Instead of this, we can adjust shf in case AH only at surface
-                 surf_usm_h%shf(m) = surf_usm_h%shf(m) +                       &
-                                   aheat(j,i) * acoef * ddx * ddy / cp
+!--              linear interpolation of coeficient
+                 acoef = (REAL(dhour+1,wp)-dtime/3600.0_wp)*aheatprof(k,dhour) + &
+                         (dtime/3600.0_wp-REAL(dhour,wp))*aheatprof(k,dhour+1)
+                 IF ( aheat(k,j,i) > 0.0_wp )  THEN
+                    pt(k,j,i) = pt(k,j,i) + aheat(k,j,i)*acoef*dt_3d/(exn(k)*rho_cp*dz)
+                 ENDIF
               ENDIF
            ENDDO
@@ -7437,14 +7662,7 @@
 
 !------------------------------------------------------------------------------!
-!
 ! Description:
 ! ------------
-!> Subroutine writes t_surf and t_wall data into restart files. It is necessary
-!> to write start_index and end_index several times
-!kanani: Renamed this routine according to corresponging routines in PALM
-!kanani: Modified the routine to match wrd_global, from where usm_wrd_local
-!        shall be called in the future. This part has not been tested yet. (see virtual_flight_mod)
-!        Also, I had some trouble with the allocation of t_surf, since this is a pointer.
-!        So, I added some directives here.
+!> Subroutine writes t_surf and t_wall data into restart files
 !------------------------------------------------------------------------------!
     SUBROUTINE usm_wrd_local
